Index: EcnlProtoTool/trunk/asp3_dcre/.cproject
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/.cproject	(revision 424)
+++ EcnlProtoTool/trunk/asp3_dcre/.cproject	(revision 426)
@@ -6,142 +6,81 @@
 				<externalSettings/>
 				<extensions>
-					<extension id="org.eclipse.cdt.core.PE" point="org.eclipse.cdt.core.BinaryParser"/>
 					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
 					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
-					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
-					<extension id="com.renesas.cdt.managedbuild.renesas.core.RenesasCompilerAssemblerErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
-					<extension id="com.renesas.cdt.managedbuild.core.buildRunnerErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
-					<extension id="org.eclipse.cdt.core.MakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
-					<extension id="org.eclipse.cdt.core.VCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
 					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
 				</extensions>
 			</storageModule>
 			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
-				<configuration artifactName="asp3_dcre" buildProperties="org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf *.lst *.lis *.lpp *.map libgcc.a" description="" id="com.renesas.cdt.rz.debug.win32.configuration.Id.2092268252" name="Debug">
+				<configuration artifactName="asp3_dcre" buildProperties="org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf *.lst *.lis *.lpp *.map libgcc.a" description="" errorParsers="org.eclipse.cdt.core.GASErrorParser;org.eclipse.cdt.core.GmakeErrorParser;org.eclipse.cdt.core.CWDLocator;org.eclipse.cdt.core.GCCErrorParser" id="com.renesas.cdt.rz.debug.win32.configuration.Id.2092268252" name="Debug" parent="com.renesas.cdt.rz.debug.win32.configuration.Id.2092268252">
 					<folderInfo id="com.renesas.cdt.rz.debug.win32.configuration.Id.2092268252." name="/" resourcePath="">
-						<toolChain id="com.renesas.cdt.rz.debug.win32.toolchain.Id.1330656554" name="KPIT GNUARM-NONE-EABI Toolchain">
-							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF;org.eclipse.cdt.core.PE" id="com.renesas.cdt.rz.debug.win32.targetplatform.Id.2000849951" name="Target Platform" osList="all"/>
-							<builder buildPath="${workspace_loc:/asp3_dcre}/Debug" id="com.renesas.cdt.rz.debug.win32.builder.Id.1316838534" keepEnvironmentInBuildfile="false" managedBuildOn="false" name="Builder"/>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.libgen.Id.549450220" name="Library Generator">
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.ctype.169331272" name="ctype.h : æå­ãæ±ããã§ãã¯ãã¾ã" superClass="com.renesas.cdt.core.LibraryGenerator.option.ctype" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.math.2060617615" name="math.h : ä¸è§é¢æ°ãªã©æ°å¤ã®è¨ç®ãè¡ãã¾ã" superClass="com.renesas.cdt.core.LibraryGenerator.option.math" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.stdio.1276105827" name="stdio.h : å
-¥å/åºåãè¡ãã¾ã" superClass="com.renesas.cdt.core.LibraryGenerator.option.stdio" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.stdlib.1471847177" name="stdlib.h : æ ¼ç´é åã®ç®¡çãªã© C ãã­ã°ã©ã ã®æ¨æºå¦çãè¡ãã¾ã" superClass="com.renesas.cdt.core.LibraryGenerator.option.stdlib" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.string.1340704445" name="string.h : æå­åã®æ¯è¼ã¨ã³ãã¼ãè¡ãã¾ã" superClass="com.renesas.cdt.core.LibraryGenerator.option.string" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.selectLibrary.336514305" name="ã©ã¤ãã©ãªã¼ã®é¸æ" superClass="com.renesas.cdt.core.LibraryGenerator.option.selectLibrary" value="com.renesas.core.LibraryGenerator.option.selectLibrary.newLib" valueType="enumerated"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.libraryType.2042178815" name="ã©ã¤ãã©ãªã¼å" superClass="com.renesas.cdt.core.LibraryGenerator.option.libraryType" value="com.renesas.cdt.core.LibraryGenerator.option.libraryType.projectBuilt" valueType="enumerated"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.misc9.103678875" name="åé¢æ°ããåºåãã¡ã¤ã«å
-ã®å¯¾å¿ããã»ã¯ã·ã§ã³ã«é
-ç½®ãã (-ffunction-sections)" superClass="com.renesas.cdt.core.LibraryGenerator.option.misc9" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.misc14.1646102274" name="é¢æ°ã®ã¢ãã¬ã¹ãã¬ã¸ã¹ã¿ã¼ã«ç½®ããªã (-fno-function-cse)" superClass="com.renesas.cdt.core.LibraryGenerator.option.misc14" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.misc36.1245833341" name="Parse the whole compilation unit before starting to produce code ( -funit-at-a-time)" superClass="com.renesas.cdt.core.LibraryGenerator.option.misc36" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.misc10.186332838" name="åãã¼ã¿ããåºåãã¡ã¤ã«å
-ã®å¯¾å¿ããã»ã¯ã·ã§ã³ã«é
-ç½®ãã (-fdata-sections)" superClass="com.renesas.cdt.core.LibraryGenerator.option.misc10" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.LibraryGenerator.option.misc37.611438064" name="Align branch targets to a power-of-two boundary (-falign-jumps)" superClass="com.renesas.cdt.core.LibraryGenerator.option.misc37" value="true" valueType="boolean"/>
+						<toolChain id="com.renesas.cdt.managedbuild.gcc.rz.toolchain.base.1572004181" name="GCC for Renesas RZ" superClass="com.renesas.cdt.managedbuild.gcc.rz.toolchain.base">
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.deviceName.165606404" name="Device name" superClass="com.renesas.cdt.managedbuild.gcc.rz.deviceName"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.createlibgen.1121872011" name="Create libgen" superClass="com.renesas.cdt.managedbuild.gcc.rz.createlibgen"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.warnStack.1447173150" name="Warn if stack size exceeds the limit, in bytes (-Wstack-usage)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.warnStack"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.stackSizeInDecimal.1317777580" name="Decimal representation of '-Wstack-usage'" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.stackSizeInDecimal"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.otherDebug.910558021" name="Other debugging flags" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.otherDebug"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.otherOptimization.481153228" name="Other optimization flags" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.otherOptimization"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.otherTarget.298825034" name="Other target flags" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.otherTarget"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.otherWarnings.1695753698" name="Other warning flags" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.otherWarnings"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.warnings.nulldereference.1004411570" name="Null pointer dereference [-Wnull-dereference]" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.warnings.nulldereference"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.optimizationLevel.316509997" name="Optimization Level" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.optimizationLevel"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.signedchar.1134450528" name="'char' is signed (-fsigned-char)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.signedchar"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.functionsection.1395008403" name="Function sections (-ffunction-sections)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.functionsection"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.datasections.1828435521" name="Data sections (-fdata-sections)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.datasections"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.messagelenght.1754655558" name="Message length (-fmessage-length=0)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.messagelenght"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.noinlinefunctions.1102594572" name="Do not inline functions (-fno-inline-functions)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.noinlinefunctions"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.freestanding.1335577758" name="Assume freestanding environment (-ffreestanding)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.freestanding"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.nobuiltin.1104161648" name="Disable builtin (-fno-builtin)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.nobuiltin"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.nocommon.2094227431" name="No common unitialized (-fno-common)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.nocommon"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.pic.909120465" name="Position independent code (-fPIC)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.pic"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.family.1525225557" name="ARM family" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.family"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.architecture.447548230" name="Architecture" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.architecture"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.instructionset.2135843650" name="Instruction set" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.instructionset"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.spconstant.1703657150" name="Single precision constants (-fsingle-precision-constant)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.spconstant"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.endian.2080542818" name="Endianness" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.endian"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.floatabi.589961568" name="Float ABI" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.floatabi"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.floatunit.354604179" name="FPU Type" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.floatunit"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.unaligned.2032157311" name="Unaligned access" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.unaligned"/>
+							<option id="com.renesas.cdt.managedbuild.gcc.rz.option.thumb.934015903" name="Thumb interwork (-mthumb-interwork)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.thumb"/>
+							<option id="ilg.gnuarmeclipse.managedbuild.cross.option.debugging.level.1290587412" name="Debug level" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.debugging.level"/>
+							<option id="ilg.gnuarmeclipse.managedbuild.cross.option.debugging.format.714933593" name="Debug format" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.debugging.format"/>
+							<option id="ilg.gnuarmeclipse.managedbuild.cross.option.addtools.createflash.1804182567" name="Create flash image" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.addtools.createflash" value="true" valueType="boolean"/>
+							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="ilg.gnuarmeclipse.managedbuild.cross.targetPlatform.74647507" isAbstract="false" osList="all" superClass="ilg.gnuarmeclipse.managedbuild.cross.targetPlatform"/>
+							<builder buildPath="${workspace_loc:/asp3_dcre}/Debug" id="com.renesas.cdt.managedbuild.gcc.rz.builder.460934776" keepEnvironmentInBuildfile="false" managedBuildOn="false" name="GCC for Renesas Builder" superClass="com.renesas.cdt.managedbuild.gcc.rz.builder"/>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.assembler.1682623852" name="Cross ARM GNU Assembler" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.assembler">
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.assembler.usepreprocessor.1607103230" name="Use preprocessor" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.assembler.usepreprocessor" value="true" valueType="boolean"/>
+								<inputType id="ilg.gnuarmeclipse.managedbuild.cross.tool.assembler.input.874735338" superClass="ilg.gnuarmeclipse.managedbuild.cross.tool.assembler.input"/>
 							</tool>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.compiler.Id.2129676447" name="Compiler">
-								<option defaultValue="true" id="com.renesas.cdt.core.Compiler.option.misc2.474910942" name="æ¨æºã·ã¹ãã ã»ãã£ã¬ã¯ããªã¼ã§ãããã¼ã»ãã¡ã¤ã«ãæ¤ç´¢ããªã (-nostdinc)" superClass="com.renesas.cdt.core.Compiler.option.misc2" value="false" valueType="boolean"/>
-								<option id="com.renesas.cdt.rz.Debug.Compiler.option.architecture.283267340" name="ã¢ã¼ã­ãã¯ãã£ã¼" superClass="com.renesas.cdt.rz.Debug.Compiler.option.architecture" value="com.renesas.cdt.rz.Debug.Compiler.option.architecture.armv7a" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Compiler.option.cpuType.730461588" name="CPU ã¿ã¤ã" superClass="com.renesas.cdt.rz.Debug.Compiler.option.cpuType" value="com.renesas.cdt.rz.Debug.Compiler.option.cpuType.rza" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Compiler.option.dataEndian.1575628028" name="ã¨ã³ãã£ã¢ã³" superClass="com.renesas.cdt.rz.Debug.Compiler.option.dataEndian" value="com.renesas.cdt.rz.Debug.Compiler.option.dataEndian.little" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Compiler.option.instructionset.1078258171" name="å½ä»¤ã»ãã" superClass="com.renesas.cdt.rz.Debug.Compiler.option.instructionset" value="com.renesas.cdt.rz.Debug.Compiler.option.instructionset.arm" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Compiler.option.interworking.2143686662" name="ã¤ã³ã¿ã¼ã»ã¯ã¼ã­ã³ã° (-mthumb-interwork)" superClass="com.renesas.cdt.rz.Debug.Compiler.option.interworking" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.rz.Debug.Compiler.option.targetfpu.615392605" name="ã¿ã¼ã²ãã FPU (-mfpu)" superClass="com.renesas.cdt.rz.Debug.Compiler.option.targetfpu" value="com.renesas.cdt.rz.Debug.Compiler.option.targetfpu.vfp" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Compiler.option.floatingpointabi.753205564" name="æµ®åå°æ°ç¹ ABI (-mfloat-abi=name)" superClass="com.renesas.cdt.rz.Debug.Compiler.option.floatingpointabi" value="com.renesas.cdt.rz.Debug.Compiler.option.floatingpointabi.soft" valueType="enumerated"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warnStackSize.1447419982" name="Warn if stack size exceeds the limit (-Wstack-usage) (H')" superClass="com.renesas.cdt.core.Compiler.option.warnStackSize" value="100" valueType="string"/>
-								<option id="com.renesas.cdt.core.Compiler.option.CPUSeries.938541441" name="CPU ã·ãªã¼ãº" superClass="com.renesas.cdt.core.Compiler.option.CPUSeries" value="RZ/A" valueType="string"/>
-								<option id="com.renesas.cdt.core.Compiler.option.device.175730635" name="Device" superClass="com.renesas.cdt.core.Compiler.option.device" value="R7S721001" valueType="string"/>
-								<option id="com.renesas.cdt.core.Compiler.option.deviceShortName.195768597" name="DeviceShortName" superClass="com.renesas.cdt.core.Compiler.option.deviceShortName" value="R7S721001" valueType="string"/>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.rz.Debug.Compiler.option.macroDefines.681399750" name="ãã¯ã­å®ç¾©" superClass="com.renesas.cdt.rz.Debug.Compiler.option.macroDefines" valueType="definedSymbols">
-									<listOptionValue builtIn="false" value="SIMULATOR_DEBUG"/>
-									<listOptionValue builtIn="false" value="CPPAPP"/>
-									<listOptionValue builtIn="false" value="TOPPERS_EXECUTE_ON_ROM"/>
-									<listOptionValue builtIn="false" value="__TARGET_ARCH_ARM=7"/>
-									<listOptionValue builtIn="false" value="TARGET_RZ_A1H"/>
-									<listOptionValue builtIn="false" value="TARGET_MBRZA1H"/>
-									<listOptionValue builtIn="false" value="TOOLCHAIN_GCC_ARM"/>
-									<listOptionValue builtIn="false" value="TOOLCHAIN_GCC"/>
-									<listOptionValue builtIn="false" value="TARGET_CORTEX_A"/>
-									<listOptionValue builtIn="false" value="MBED_BUILD_TIMESTAMP=1460441486.52"/>
-									<listOptionValue builtIn="false" value="TARGET_RENESAS"/>
-									<listOptionValue builtIn="false" value="__FPU_PRESENT"/>
-									<listOptionValue builtIn="false" value="TARGET_KERNEL_ASP"/>
-									<listOptionValue builtIn="false" value="SUPPORT_INET4"/>
-									<listOptionValue builtIn="false" value="SUPPORT_ETHER"/>
-									<listOptionValue builtIn="false" value="SUPPORT_TCP"/>
-									<listOptionValue builtIn="false" value="SUPPORT_UDP"/>
-								</option>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.core.Compiler.option.includeFileDir.1965153703" name="ã¤ã³ã¯ã«ã¼ãã»ãã¡ã¤ã«ã»ãã£ã¬ã¯ããªã¼" superClass="com.renesas.cdt.core.Compiler.option.includeFileDir" valueType="includePath">
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/include}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/target/gr_peach_gcc}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/arch/arm_gcc/rza1}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/arch/arm_gcc/common}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/arch/gcc}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/api}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/hal}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/cmsis}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H/inc}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H/inc/iodefines}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/hal/TARGET_RENESAS/TARGET_RZ_A1H}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/hal/TARGET_RENESAS/TARGET_RZ_A1H/TARGET_MBED_MBRZA1H}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/mruby-1.3.0/include}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/sample8/src}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/tinet/netdev/if_mbed}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/tinet}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/tecs_kernel}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/sample8/Debug}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/sample8/Debug/gen}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${ProjDirPath}/../webserver&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${ProjDirPath}/../gr_peach&quot;"/>
-								</option>
-								<inputType id="%Base.Compiler.C.InputType.Id.479471606" name="C å
-¥å"/>
-								<inputType id="Base.Compiler.CPP.InputType.Id.1684974226" name="C++ å
-¥å"/>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.compiler.c.1597511161" name="Cross ARM C Compiler" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.compiler.c"/>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.compiler.cpp.1621107135" name="Cross ARM C++ Compiler" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.compiler.cpp">
+								<inputType id="ilg.gnuarmeclipse.managedbuild.cross.tool.cpp.compiler.input.358496020" superClass="ilg.gnuarmeclipse.managedbuild.cross.tool.cpp.compiler.input"/>
+								<inputType id="com.renesas.cdt.managedbuild.gcc.rz.inputType.compiler.c.2006385275" superClass="com.renesas.cdt.managedbuild.gcc.rz.inputType.compiler.c"/>
 							</tool>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.assembler.Id.30934973" name="Assembler">
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.architecture.1967834551" name="ã¢ã¼ã­ãã¯ãã£ã¼" superClass="com.renesas.cdt.rz.Debug.Assembler.option.architecture" value="com.renesas.cdt.rz.Debug.Assembler.option.architecture.armv7a" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.cpuType.907440326" name="CPU ã¿ã¤ã" superClass="com.renesas.cdt.rz.Debug.Assembler.option.cpuType" value="com.renesas.cdt.rz.Debug.Assembler.option.cpuType.rza" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.dataEndian.408491063" name="ã¨ã³ãã£ã¢ã³" superClass="com.renesas.cdt.rz.Debug.Assembler.option.dataEndian" value="com.renesas.cdt.rz.Debug.Assembler.option.dataEndian.little" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.instructionset.1476398350" name="å½ä»¤ã»ãã" superClass="com.renesas.cdt.rz.Debug.Assembler.option.instructionset" value="com.renesas.cdt.rz.Debug.Assembler.option.instructionset.arm" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.targetfpu.1561922685" name="ã¿ã¼ã²ãã FPU (-mfpu)" superClass="com.renesas.cdt.rz.Debug.Assembler.option.targetfpu" value="com.renesas.cdt.rz.Debug.Assembler.option.targetfpu.vfp" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.floatingpointabi.2104392911" name="æµ®åå°æ°ç¹ ABI (-mfloat-abi=name)" superClass="com.renesas.cdt.rz.Debug.Assembler.option.floatingpointabi" value="com.renesas.cdt.rz.Debug.Assembler.option.floatingpointabi.soft" valueType="enumerated"/>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.core.Assembler.option.includeFileDirectories.355394960" name="ã¤ã³ã¯ã«ã¼ãã»ãã¡ã¤ã«ã»ãã£ã¬ã¯ããªã¼" superClass="com.renesas.cdt.core.Assembler.option.includeFileDirectories" valueType="includePath">
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/src&quot;"/>
-								</option>
-								<inputType id="%Base.Assembler.inputType.Id.63454341" name="ã¢ã»ã³ãã©ã¼å
-¥åã¿ã¤ã"/>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.linker.c.1953614567" name="Cross ARM C Linker" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.linker.c">
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.c.linker.gcsections.1295249656" name="Remove unused sections (-Xlinker --gc-sections)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.c.linker.gcsections" value="true" valueType="boolean"/>
 							</tool>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.linker.Id.606735805" name="Linker">
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.rz.Debug.Linker.option.archiveSearchDirectories.1968268518" name="ã¢ã¼ã«ã¤ãæ¤ç´¢ãã£ã¬ã¯ããªã¼" superClass="com.renesas.cdt.rz.Debug.Linker.option.archiveSearchDirectories" valueType="stringList">
-									<listOptionValue builtIn="false" value="&quot;${CONFIGDIR}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${TCINSTALL}/lib/gcc/arm-none-eabi/${GCC_VERSION}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${TCINSTALL}/arm-none-eabi/lib&quot;"/>
-								</option>
-								<option id="com.renesas.cdt.rz.Debug.Linker.option.dataEndian.326979634" name="ã¨ã³ãã£ã¢ã³" superClass="com.renesas.cdt.rz.Debug.Linker.option.dataEndian" value="com.renesas.cdt.rz.Debug.Linker.option.dataEndian.little" valueType="enumerated"/>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.rz.Debug.Linker.option.archiveLibraryFiles.420087168" name="ã¢ã¼ã«ã¤ã ( ã©ã¤ãã©ãªã¼ ) ãã¡ã¤ã«" superClass="com.renesas.cdt.rz.Debug.Linker.option.archiveLibraryFiles" valueType="stringList">
-									<listOptionValue builtIn="false" value="${BuildArtifactFileBaseName}"/>
-									<listOptionValue builtIn="false" value="gcc"/>
-									<listOptionValue builtIn="false" value="stdc++"/>
-								</option>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.core.Linker.option.userDefinedOptions.1635961165" name="ã¦ã¼ã¶ã¼å®ç¾©ãªãã·ã§ã³" superClass="com.renesas.cdt.core.Linker.option.userDefinedOptions" valueType="stringList">
-									<listOptionValue builtIn="false" value="-e_PowerON_Reset"/>
-								</option>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.core.Linker.option.linkOrderList.662931274" name="" superClass="com.renesas.cdt.core.Linker.option.linkOrderList" valueType="stringList">
-									<listOptionValue builtIn="false" value="&quot;.\src\asp3_dcre.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\hardware_setup.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\interrupt_handlers.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\reset_program.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\vector_table.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\libasp3_dcre.a&quot;"/>
-								</option>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.linker.cpp.1840614898" name="Cross ARM C++ Linker" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.linker.cpp">
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.cpp.linker.gcsections.1145228721" name="Remove unused sections (-Xlinker --gc-sections)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.cpp.linker.gcsections" value="true" valueType="boolean"/>
+								<inputType id="com.renesas.cdt.managedbuild.gcc.rz.inputType.linker.cpp.610092407" superClass="com.renesas.cdt.managedbuild.gcc.rz.inputType.linker.cpp">
+									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
+									<additionalInput kind="additionalinputdependency" paths="$(LIBRARY_GENERATOR_OUTPUTTYPE_OUTPUTS)"/>
+									<additionalInput kind="additionaldependency" paths="$(LINKER_SCRIPT)"/>
+								</inputType>
 							</tool>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.objcopy.Id.106287146" name="Objcopy"/>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.archiver.121089079" name="Cross ARM GNU Archiver" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.archiver"/>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.flash.2127790436" name="Cross ARM GNU Create Flash Image" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.flash"/>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.listing.1691773603" name="Cross ARM GNU Create Listing" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.listing">
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.source.1614683380" name="Display source (--source|-S)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.source" value="true" valueType="boolean"/>
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.allheaders.730111942" name="Display all headers (--all-headers|-x)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.allheaders" value="true" valueType="boolean"/>
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.demangle.423887695" name="Demangle names (--demangle|-C)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.demangle" value="true" valueType="boolean"/>
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.linenumbers.1481295504" name="Display line numbers (--line-numbers|-l)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.linenumbers" value="true" valueType="boolean"/>
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.wide.710696187" name="Wide lines (--wide|-w)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.createlisting.wide" value="true" valueType="boolean"/>
+							</tool>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.size.1361132953" name="Cross ARM GNU Print Size" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.size">
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.printsize.format.701481000" name="Size format" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.printsize.format"/>
+							</tool>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.libgen.96032527" name="Library Generator" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.libgen"/>
 						</toolChain>
 					</folderInfo>
@@ -152,5 +91,8 @@
 			</storageModule>
 			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
-			<storageModule moduleId="com.renesas.cdt.managedbuild.core.toolchainInfo"/>
+			<storageModule moduleId="com.renesas.cdt.managedbuild.core.toolchainInfo">
+				<option id="toolchain.id" value="gcc-arm-embedded"/>
+				<option id="toolchain.version" value="6.3.1.20170620"/>
+			</storageModule>
 		</cconfiguration>
 	</storageModule>
